/* MERG Content-to-template merger
   Command line:
      MERG [switches] template content1 content2 ...

   Valid switches:
      h        allow/Suppress HTML tags in content
      n        Keep/discard name
      l        long file name Acceptable/truncate
      e ERROR  Output error messages to ERROR
               instead of STD_ERR
      q        Quiet mode
      i GEN    Include file GEN for all content
               files
      s LIST   Suppress the sections defined in
               LIST

*/

#include "merg.h"

/* Displays help information */
void help(void)
{
	header();
	printf("Usage:\n");
	printf("\tMERG [-hnlqe ERRPIPE] template content1 content2 ...\n\n");
	printf("[Options]\n");
	printf("\th        \tSuppress HTML in content\n");
	printf("\tn        \tDiscard name\n");
	printf("\tl        \tTruncate long file names\n");
	printf("\tq        \tOperate in quiet mode\n");
	printf("\te ERRPIPE\tOutput errors to file ERRPIPE\n");
	printf("\ttemplate\tFilename of default template\n");
	printf("\tcontent1...\tContent file(s)\n");

	return;
}

/* Displays header information about this program */
void header(void)
{
	printf("MERG Content-to-template MERGer v%s, by Jan Michael Ibanez.\n", _MERG_VER);
	printf("Built under mingw32.\n");
	printf("Distributed under the GNU General Public License\n");
	printf("Copyright Jan Michael Ibanez 2001\n\n");
	printf("ABSOLUTELY NO WARRANTY provided. Report bugs and\n");
	printf("feature suggestions to <cyberlizard0@edsamail.com.ph>\n\n");

	return;
}

/* Displays program version information */
void version(void)
{
	header();
	printf("MERG Version %s Build %s\n", _MERG_VER, _MERG_BUILD);
	printf("Built %s %s\n", __DATE__, __TIME__);
#ifdef _WIN32
	printf("Win32 version,");
#ifdef _i386
	printf(" i386");
#endif
	printf("\n");
#endif

	return;
}